Render the invoice as a PDF
GET
/invoices/{id}/pdf
const url = 'https://app.buildworkpro.com/api/v1/invoices/1/pdf';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://app.buildworkpro.com/api/v1/invoices/1/pdf \ --header 'Authorization: Bearer <token>'Streams application/pdf.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ”
id
required
integer
Responses
Section titled “ Responses ”
Media type
application/pdf
string
format: binary
Error
Media type
application/problem+json
object
type
required
URL identifying the problem type
string
format: uri
title
required
Short human-readable summary
string
status
required
HTTP status code
integer
detail
Human-readable explanation
string
request_id
Server-generated request identifier
string
errors
Validation error array (422 only)
Array<object>
object
field
required
Field path that failed validation
string
code
required
Validation error code
string
message
required
Human-readable validation message
string
Example generated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}